UMAD_OPEN_PORT(3)

NAME
umad_open_port - open InfiniBand device port for umad access

SYNOPSIS
#include <infiniband/umad.h>

int umad_open_port(char *ca_name, int portnum);

DESCRIPTION
umad_open_port() opens the port portnum of the IB device ca_name for umad access. The port is selected by the library if not all parameters are provided (see umad_get_port() for details).

RETURN VALUE
umad_open_port() returns 0 or an unique positive value of umad device descriptor on success, and a negative value on error as follows:
 -EOPNOTSUPP ABI version doesn't match
 -ENODEV IB device can't be resolved
 -EINVAL port is not valid (bad portnum or no umad device)
 -EIO umad device for this port can't be opened

SEE ALSO
umad_close_port(3), umad_get_cas_names(3), umad_get_port(3)

AUTHOR

Hal Rosenstock <halr@voltaire.com>